Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 588148 - Ejabberd's startup hangs with erlang >= R13B-04
Ejabberd's startup hangs with erlang >= R13B-04
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 17:00 EDT by Florent Le Coz
Modified: 2010-12-03 10:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:10:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
erl crash dump (229.34 KB, text/plain)
2010-05-03 08:15 EDT, Florent Le Coz
no flags Details
ejabberd log (855 bytes, text/plain)
2010-05-03 08:16 EDT, Florent Le Coz
no flags Details
erlang log (26.91 KB, text/plain)
2010-05-03 08:18 EDT, Florent Le Coz
no flags Details

  None (edit)
Description Florent Le Coz 2010-05-02 17:00:40 EDT
Description of problem:
When starting ejabberd with erlang-R13B-04, it takes 100% of the CPU, and it just does respond (nobody can connect to it)
Downgrading to erlang-R13B-01 solves the problem.

Version-Release number of selected component (if applicable):
erlang >= R13B-04

How reproducible:
Always

Steps to Reproduce:
1. ejabberdctl start
2. try to connect to the server with any client
3. fail to connect and see the CPU taken by ejabberd
Comment 1 Peter Lemenkov 2010-05-03 00:55:00 EDT
I can't confirm - my own ejabberd starts and stops fine. What ejabberd version you're using?

Could you, please, attach /var/log/ejabberd/ejabberd.log and /var/log/ejabberd/erlang.log ?

Please, remove all sensitive information (IP addresses, usernames, etc) from these logs before posting them. Also you can send me them via email.
Comment 2 Florent Le Coz 2010-05-03 08:14:32 EDT
The /var/log/ejabberd/ejabberd.log and /var/log/ejabberd/erlang.log files don't seem very useful, but I attached them anyway.

But I have some erl_crash*.dump in /var/log/ejabberd/ too, and I think it may help understand the problem.

I have five of them, but I attached only one because I think they are very similar.
Comment 3 Florent Le Coz 2010-05-03 08:15:34 EDT
Created attachment 410959 [details]
erl crash dump
Comment 4 Florent Le Coz 2010-05-03 08:16:07 EDT
Created attachment 410960 [details]
ejabberd log
Comment 5 Florent Le Coz 2010-05-03 08:18:20 EDT
Created attachment 410961 [details]
erlang log
Comment 6 Florent Le Coz 2010-05-20 18:32:35 EDT
Any news here…?
Comment 7 Peter Lemenkov 2010-05-22 06:44:52 EDT
Nope - no news here. I looked at erl_rash.dump, but didn't found any clues fso far, unfortunately.

Just to be sure - you're using both ejabberd and erlang from Fedora repositories, right?
Comment 8 Yanko Kaneti 2010-05-26 04:19:02 EDT
Let me share my little frustration experiment that might be the same thing.
- install ejabberd on an uptodate f12
- have a firewall blocking everything heading to the epmd port (4369)
- try starting ejabberd

The result here is loong wait followed by not working ejabberd, some erl crash dumps in /var/log/ejabberd/  and no indication of what went wrong in any logs that I could find.  Its basically impossible to diagnose for a relative newbie in the erlang/ejabber world.  Removing the firewall makes everything work again.
Comment 9 Yanko Kaneti 2010-05-26 04:20:18 EDT
When I said blocking I ment dropping, say
# iptables -I INPUT -p tcp --dport 4369 -j DROP
Comment 10 Bug Zapper 2010-11-03 11:48:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Peter Lemenkov 2010-11-08 02:44:42 EST
Ping, Florent. Could you, please, specify the status of this ticket. 

I'm pretty sure that this issue existed either due to misconfiguration of system in question or due to mysterious alien's X-rays. In the first case we still need to work on this.

Also could you please try to reproduce on F-13 (with R13B) or F-14 (with R14B) because F-12 will be eoled very soon.

Frankly speaking I still have no clue on what happened with your ejabberd setup and why downgrading to R13B-01 helped to solve this. I suspect that during upgrade to R13B-04 some of your applications were upgraded too and this caused some mysterious side-effect (perhaps similar to one, described by Yanko in the comments above).
Comment 12 Florent Le Coz 2010-11-08 12:58:13 EST
To be frank, I didn't test recently, since I no longer use ejabberd…

I could test again on F-14 with R14B, just to know if it's still broken with me.
I'll do that in a few days.

Unless it's fixed magically in R14B, this bug is still valid. But if I'm the only one getting it (and since I cannot really help finding the reason), I don't know if it's important. At least for my personal use, it's not.
Comment 13 Bug Zapper 2010-12-03 10:10:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.